<?php 
require_once('../modelos/Pago.php');
$pago = new Pago();

///$idbanco=isset($_POST["idbanco"])? limpiarCadena($_POST["idbanco"]):"";

switch ($_GET['op']) {

    case 'listar_deudas':
        $idcontrato = $_GET['idcontrato'];
        $rspta = $pago->listar_deudas($idcontrato);
        
        $data = array();
        while ($row = $rspta->fetch_assoc()) {
            $data[] = $row;
        }

        echo json_encode($data);
        break;

        case 'listar_recibos_pagados':
            $idcontrato = $_GET['idcontrato'];
            $rspta = $pago->listar_recibos_pagados($idcontrato);
            $data = [];

            while ($row = $rspta->fetch_assoc()) {
                $data[] = $row;
            }

            echo json_encode($data);
        break;
       
}
?>